server:
  port: 22001
  tomcat:
    uri-encoding: UTF-8
  servlet:
    session:
      timeout: 3600

spring:
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://49.4.21.141:45611/bcx_fdd?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT%2B8&useSSL=false&zeroDateTimeBehavior=CONVERT_TO_NULL
    username: bcx
    password: Wstestv5qy#2022
#  kafka:
#    bootstrap-servers: 117.78.39.204:9092
#    consumer:
#      key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
#      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer
#      auto-offset-reset: earliest
  redis:
    host: 49.4.21.141 #地址
    port: 6328 #端口
    password: redis20240628
    timeout: 10000 # 连接超时时间（毫秒）
    database: 8 #默认数据库
    jedis:
      pool:
        max-active: 200 # 连接池最大连接数（使用负值表示没有限制）
        max-wait: -1 # 连接池最大阻塞等待时间（使用负值表示没有限制）
        max-idle: 10 # 连接池中的最大空闲连接
        min-idle: 0 # 连接池中的最小空闲连接
        time-between-eviction-runs: -1 #逐出扫描的时间间隔(毫秒) 如果为负数,则不运行逐出线程, 默认-1
mybatis-plus:
  mapper-locations: classpath:mybatis/*Mapper.xml
  configuration:
    cache-enabled: false
    use-generated-keys: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    # 字段名称下划线转驼峰命名
    map-underscore-to-camel-case: true

# 日志
logging:
  level:
    com:
      bcxin:
        backend: info
  config: classpath:logback-spring.xml

log:
  # 日志是否上传
  posh: false
  # 日志存放目录
  path: /Users/linchunpeng/Documents/logs
  # 日志打印级别  默认 info
  level: info
  # 是否控制台输出，默认true
  stdout: true

org-auth-config:
  notice-mobile: 18559666576

fdd-config:
  appid: 80001736
  app-secret: WVE4GQXYZ8M3MPULRZCQE3TUC5XHBD5W
  open-corp-id: 72b445eb659647fa9cb9b423ac06208c
  server-url: https://uat-api.fadada.com/api/v5/
  file-save-path: /Users/linchunpeng/Documents/uploads/fddfile/
